﻿local L = AceLibrary("AceLocale-2.2"):new("FuXP")

L:RegisterTranslations("enUS", function() return {
	["AceConsole-commands"] = { "/FuXPFu" },

	["Colours"] = true,
	["Set the Bar Colours"] = true,

	["Properties"] = true,
	["Set the Bar Properties"] = true,

	["Current XP"] = true,
	["Sets the color of the XP Bar"] = true,

	["Rested XP"] = true,
	["Sets the color of the Rested Bar"] = true,

	["No XP"] = true,
	["Sets the empty color of the XP Bar"] = true,
	
	["Reputation"] = true,
	["Sets the color of the Rep Bar"] = true,
	
	["No Rep"] = true,
	["Sets the empty color of the Reputation Bar"] = true,

	["Show XP Bar"] = true,
	["Show the XP Bar"]  = true,
	
	["Show Rep Bar"] = true,
	["Show the Reputation Bar"] = true,

	["Spark intensity"] = true,
	["Brightness level of Spark"] = true,

	["Thickness"] = true,
	["Sets thickness of XP Bar"] = true,

	["Shadow"] = true,
	["Toggles Shadow under XP Bar"] = true,

	["Remaining"] = true,
	["Show Remaining in Bar"] = true,

	["Select Faction"] = true,
	["Faction"] = true,
	
	["Watched Faction"] = true,

	["Hook-ins"] = true,
	["Options to hook in other addons"] = true,

	["FuBar Faction Link"]= true,
	["Link to FubBar Factions"] = true,
	
	["Tek AutoRep"] = true,
	["Hook into TekAutoRep's automatic rep changes"] = true,
	
	['Location'] = true,
	["Undocked Position"] = true,
	["Selects which side of an undocked panel you want the bars on."] = true,

	["XP|Rep|None"] = true,
	["Show Text"] = true,
	["Show the XP or Rep"] = true,
	["XP to go"] = true,
	["Show XP to go"] = true,
	["Short Rep Name"] = true,
	["Show short names for factions"] = true,
	["The "] = true,

	["%s: %3.0f%% (%s/%s) %s left"] = true,
	["%s to go (%3.0f%%)"] = true,

	["Current XP"] = true,
	["To Level"] = true,
	["Rested XP"] = true,
	["Click to send your current xp to an open editbox."] = true,
	["Shift Click to send your current rep to an open editbox."] = true,
	["Faction"] = true,
	["Rep to next standing"] = true,
	["Current rep"] = true,

	["%s/%s (%3.0f%%) %d to go"] = true,
	["%s:%s/%s (%3.2f%%) Currently %s with %d to go"] = true,

	["Top"] = true, 
	["Bottom"] = true,
	["XP"] = true,
	["Rep"] = true,
	["None"] = true,
} end)

L:RegisterTranslations("koKR", function() return {
	["AceConsole-commands"] = { "/FuXPFu" },

	["Colours"] = "??",
	["Set the Bar Colours"] = "?? ??? ?????",

	["Properties"] = "?? ??",
	["Set the Bar Properties"] = "?? ?? ??? ?????",

	["Current XP"] = "?? ???",
	["Sets the color of the XP Bar"] = "?? ??? ?? ??? ?????",

	["Rested XP"] = "?? ???",
	["Sets the color of the Rested Bar"] = "?? ??? ?? ??? ?????",

	["No XP"] = "?? ???",
	["Sets the empty color of the XP Bar"] = "?? ??? ?? ??? ?????",
	
	["Reputation"] = "??",
	["Sets the color of the Rep Bar"] = "???? ??? ?????",
	
	["No Rep"] = "?? ??",
	["Sets the empty color of the Reputation Bar"] = "?? ???? ??? ?????",

	["Show XP Bar"] = "???? ??",
	["Show the XP Bar"]  = "??? ?? ?????",
	
	["Show Rep Bar"] = "??? ??",
	["Show the Reputation Bar"] = "???? ?????",

	["Spark intensity"] = "???",
	["Brightness level of Spark"] = "???? ?? ??? ?????",

	["Thickness"] = "??",
	["Sets thickness of XP Bar"] = "????? ??? ?????",

	["Shadow"] = "??",
	["Toggles Shadow under XP Bar"] = "??? ? ??? ???? ?????",

	["Remaining"] = "??",
	["Show Remaining in Bar"] = "?? ?? ?????.",

	["Select Faction"] = "?? ??",
	["Faction"] = "??",
	
	["Watched Faction"] = "???? ??",

	["Hook-ins"] = "??",
	["Options to hook in other addons"] = "?? ???? ??? ?????",

	["FuBar Faction Link"]= "FuBar Faction ??",
	["Link to FubBar Factions"] = "FuBar Faction? ?????",
	
--	["Tek AutoRep"] = true,
	["Hook into TekAutoRep's automatic rep changes"] = "TekAutoRep? ?? ?? ?? ??? ?????",
	
	['Location'] = "??",
	["Undocked Position"] = "????? ??",
	["Selects which side of an undocked panel you want the bars on."] = "??? ?? ??? ?? ??? ???? ?? ????? ?????.",

	["XP|Rep|None"] = "???|??|??",
	["Show Text"] = "??? ??",
	["Show the XP or Rep"] = "??? ?? ?? ??",
	["XP to go"] = "??? ?? ?? ???",
	["Show XP to go"] = "??? ?? ?? ??? ??",
	["Short Rep Name"] = "?? ???",
	["Show short names for factions"] = "?? ???? ?????.",
	["The "] = "The ",

	["%s: %3.0f%% (%s/%s) %s left"] = "%s ??: %3.0f%% (%s/%s) %s ???",
	["%s to go (%3.0f%%)"] = "%s ??? (%3.0f%%)",

	["Current XP"] = "?? ???",
	["To Level"] = "?? ???",
	["Rested XP"] = "?? ???",
	["Click to send your current xp to an open editbox."] = "??? ???? ?? ?? ?? ?? ???? ?????.",
	["Shift Click to send your current rep to an open editbox."] = "Shift ??? ???? ?? ?? ?? ?? ??? ?????.",
	["Faction"] = "??",
	["Rep to next standing"] = "?? ???? ?? ??",
	["Current rep"] = "?? ??",

	["%s/%s (%3.0f%%) %d to go"] = "?? ???? %s/%s (%3.0f%%). %d ?????",
	["%s:%s/%s (%3.2f%%) Currently %s with %d to go"] = "%s ??: %s/%s (%3.2f%%) ?? %s ??? %d? ? ??? ?? ??? ???",

	["Top"] = "?", 
	["Bottom"] = "??",
	["XP"] = "???"	,
	["Rep"] = "??",
	["None"] = "??",
} end)

L:RegisterTranslations("zhTW", function() return {
	["AceConsole-commands"] = { "/FuXPFu" },

	["Colours"] = "顏色",
	["Set the Bar Colours"] = "設定經驗/聲望條顏色",

	["Properties"] = "屬性",
	["Set the Bar Properties"] = "設定經驗/聲望條屬性",

	["Current XP"] = "當前經驗",
	["Sets the color of the XP Bar"] = "設定當前經驗顏色",

	["Rested XP"] = "獎勵經驗",
	["Sets the color of the Rested Bar"] = "設定獎勵經驗顏色",

	["No XP"] = "空白經驗條",
	["Sets the empty color of the XP Bar"] = "設定空白經驗條顏色",
	
	["Reputation"] = "當前聲望",
	["Sets the color of the Rep Bar"] = "設定當前聲望顏色",
	
	["No Rep"] = "空白聲望條",
	["Sets the empty color of the Reputation Bar"] = "設定空白聲望條顏色",

	["Show XP Bar"] = "顯示經驗條",
	["Show the XP Bar"]  = "顯示經驗條",
	
	["Show Rep Bar"] = "顯示聲望條",
	["Show the Reputation Bar"] = "顯示聲望條",

	["Spark intensity"] = "分界亮度",
	["Brightness level of Spark"] = "設定當前值與剩餘值分界標誌的亮度",

	["Thickness"] = "粗細",
	["Sets thickness of XP Bar"] = "設定經驗/聲望條的粗細",

	["Shadow"] = "陰影效果",
	["Toggles Shadow under XP Bar"] = "開啟經驗/聲望條的陰影效果",

	["Remaining"] = "顯示剩餘值",
	["Show Remaining in Bar"] = "在經驗/聲望條顯示剩餘值",

	["Select Faction"] = "選擇陣營",
	["Faction"] = "陣營",
	
	["Watched Faction"] = "監察的陣營",

	["Hook-ins"] = "連結",
	["Options to hook in other addons"] = "設定與其他插件的連結",

	["FuBar Faction Link"]= "FuBar Fraction 連結",
	["Link to FubBar Factions"] = "連結到 FuBar Fraction 插件",
	
	["Tek AutoRep"] = "Tek AutoRep",
	["Hook into TekAutoRep's automatic rep changes"] = "連結到 TekAutoRep 插件的自動監察陣營功能",
	
	['Location'] = "位置",
	["Undocked Position"] = "附著位置",
	["Selects which side of an undocked panel you want the bars on."] = "設定經驗/聲望條附著在面板的哪一側。",

	["XP|Rep|None"] = "經驗|聲望|無",
	["Show Text"] = "顯示文字",
	["Show the XP or Rep"] = "顯示經驗或聲望",
	["XP to go"] = "尚欠經驗",
	["Show XP to go"] = "顯示升級尚欠經驗",

	["%s: %3.0f%% (%s/%s) %s left"] = "%s：%3.0f%% (%s/%s) 尚欠：%s",
	["%s to go (%3.0f%%)"] = "%s：尚欠 (%3.0f%%)",

	["Current XP"] = "當前經驗",
	["To Level"] = "升級需要經驗",
	["Rested XP"] = "獎勵經驗",
	["Click to send your current xp to an open editbox."] = "點擊向聊天輸入框發送經驗值。",
	["Shift Click to send your current rep to an open editbox."] = "Shift-點擊向聊天輸入框發送聲望值。",
	["Faction"] = "陣營",
	["Rep to next standing"] = "升級需要聲望",
	["Current rep"] = "當前聲望",

	["%s/%s (%3.0f%%) %d to go"] = "%s/%s (%3.0f%%) 升級尚欠：%d",
	["%s:%s/%s (%3.2f%%) Currently %s with %d to go"] = "%s:%s/%s (%3.2f%%) 當前聲望：%s 升級尚欠：%d",

	["Top"] = "頂部", 
	["Bottom"] = "底部",
	["XP"] = "經驗",
	["Rep"] = "聲望",
	["None"] = "無",
} end)

L:RegisterTranslations("frFR", function() return {
	["AceConsole-commands"] = { "/FuXPFu" },

	["Colours"] = "Couleurs",
	["Set the Bar Colours"] = "D\195\169finit les couleurs de la barre",

	["Properties"] = "Propri\195\169t\195\169s",
	["Set the Bar Properties"] = "Change les propri\195\169t\195\169s de la barre",

	["Current XP"] = "XP actuelle",
	["Sets the color of the XP Bar"] = "Choisit la couleur de la barre d'exp\195\169rience",

	["Rested XP"] = "XP en repos",
	["Sets the color of the Rested Bar"] = "Choisit la couleur de la barre d'XP repos\195\169",

	["No XP"] = "Exp\195\169rience - Vide",
	["Sets the empty color of the XP Bar"] = "Choisit la couleur de la partie vide de la barre d'exp\195\169rience",
	
	["Reputation"] = "R\195\169putation",
	["Sets the color of the Rep Bar"] = "Choisit la couleur de la barre de r\195\169putation",
	
	["No Rep"] = "R\195\169putation - Vide",
	["Sets the empty color of the Reputation Bar"] = "Choisit la couleur de la partie vide de la barre de r\195\169putation",

	["Show XP Bar"] = "Afficher la barre d'exp\195\169rience",
	["Show the XP Bar"]  = "Affiche la barre d'exp\195\169rience",
	
	["Show Rep Bar"] = "Afficher la barre de r\195\169putation",
	["Show the Reputation Bar"] = "Affiche la barre de r\195\169putation",

	["Spark intensity"] = "Intencit\195\169 de l'\195\169tincelle",
	["Brightness level of Spark"] = "R\195\168gle l'intensit\195\169 de l'\195\169tincelle sur la barre d'exp\195\169rience",

	["Thickness"] = "Epaisseur",
	["Sets thickness of XP Bar"] = "R\195\168gle l'\195\169paisseur de la barre d'XP",

	["Shadow"] = "Ombrage",
	["Toggles Shadow under XP Bar"] = "Active/d\195\169sactive l'ombrage de la barre d'XP",

	["Remaining"] = "Restant",
	["Show Remaining in Bar"] = "Afficher l'XP restante pour ce niveau dans la barre",

	["Select Faction"] = "S\195\169lectionne la faction",
	["Faction"] = "Faction",
	
	["Watched Faction"] = "Faction monitor\195\169e",

	["Hook-ins"] = "Interactions",
	["Options to hook in other addons"] = "Options pour int\195\169ragir avec d'autres addons",

	["FuBar Faction Link"]= "Lier à FuBar_Factions",
	["Link to FubBar Factions"] = "Active l'interaction avec FuBar_Factions",
	
	["Tek AutoRep"] = "TekAutoRep",
	["Hook into TekAutoRep's automatic rep changes"] = "Interagit avec TekAutoRep pour les changements de r\195\169putation automatiques",
	
	['Location'] = "Position",
	["Undocked Position"] = "Position",
	["Selects which side of an undocked panel you want the bars on."] = "Choisit de quel cot\195\169 d'un panneau libre vous voulez les barres",

	["XP|Rep|None"] = "XP|Rep|Rien",
	["Show Text"] = "Afficher le texte",
	["Show the XP or Rep"] = "Affiche l'XP ou la r\195\169putation",
	["XP to go"] = "XP restant",
	["Show XP to go"] = "Affiche l'XP restant",

	["%s: %3.0f%% (%s/%s) %s left"] = "%s: %3.0f%% (%s/%s) %s restant",
	["%s to go (%3.0f%%)"] = "%s restant (%3.0f%%)",

	["Current XP"] = "XP actuelle",
	["To Level"] = "Jusqu'au niveau",
	["Rested XP"] = "XP repos\195\169",
	["Click to send your current xp to an open editbox."] = "Cliquer pour ins\195\169rer votre XP actuelle dans une fen\195\170tre de discussion",
	["Shift Click to send your current rep to an open editbox."] = "Maj-Clic pour ins\195\169rer votre r\195\169putation actuelle dans une fen\195\170tre de discussion",
	["Faction"] = "Faction",
	["Rep to next standing"] = "R\195\169putation jusqu'au prochain palier",
	["Current rep"] = "R\195\169putation actuelle",

	["%s/%s (%3.0f%%) %d to go"] = "%s/%s (%3.0f%%) %d restant",
	["%s:%s/%s (%3.2f%%) Currently %s with %d to go"] = "%s:%s/%s (%3.2f%%) actuel %s et %d restant",

	["Top"] = "Haut", 
	["Bottom"] = "Bas",
	["XP"] = "XP",
	["Rep"] = "Reput",
	["None"] = "Aucun",
} end)

L:RegisterTranslations("zhCN", function() return {
--Simplified Chinese by Diablohu
--last update: 7/22/07
--http://www.dreamgen.cn
	["AceConsole-commands"] = { "/FuXPFu" },

	["Colours"] = "颜色",
	["Set the Bar Colours"] = "设置经验值/声望值条颜色",

	["Properties"] = "属性",
	["Set the Bar Properties"] = "设置经验值/声望值条属性",

	["Current XP"] = "当前经验值",
	["Sets the color of the XP Bar"] = "设置当前经验值条颜色",

	["Rested XP"] = "休息奖励经验值",
	["Sets the color of the Rested Bar"] = "设置休息奖励经验值条颜色",

	["No XP"] = "经验值条背景",
	["Sets the empty color of the XP Bar"] = "设置经验值条背景颜色",
	
	["Reputation"] = "声望值",
	["Sets the color of the Rep Bar"] = "设置声望值条颜色",
	
	["No Rep"] = "声望值条背景",
	["Sets the empty color of the Reputation Bar"] = "设置声望值条背景颜色",

	["Show XP Bar"] = "显示经验值条",
	["Show the XP Bar"] = "显示经验值条",
	
	["Show Rep Bar"] = "显示声望值条",
	["Show the Reputation Bar"] = "显示声望值条",

	["Spark intensity"] = "游标亮度",
	["Brightness level of Spark"] = "设置游标亮度",

	["Thickness"] = "高度",
	["Sets thickness of XP Bar"] = "设置经验值/声望值条高度",

	["Shadow"] = "阴影",
	["Toggles Shadow under XP Bar"] = "是否显示阴影",

	["Remaining"] = "剩余值",
	["Show Remaining in Bar"] = "在 FuBar 上显示经验/声望的剩余值",

	["Select Faction"] = "选择阵营",
	["Faction"] = "阵营",
	
	["Watched Faction"] = "关注的阵营",

	["Hook-ins"] = "兼容",
	["Options to hook in other addons"] = "与其它插件的兼容设置",

	["FuBar Faction Link"] = "FuBar Faction 连接",
	["Link to FubBar Factions"] = "与 FuBar Faction 进行连接",
	
	["Tek AutoRep"] = "Tek AutoRep",
	["Hook into TekAutoRep's automatic rep changes"] = "与 TekAutoRep 插件的自动声望监视功能进行连接",
	
	['Location'] = true,
	["Undocked Position"] = "依附位置",
	["Selects which side of an undocked panel you want the bars on."] = "选择声望值/经验值条在该 FuBar 条的哪一侧显示",

	["XP|Rep|None"] = true,
	["Show Text"] = "显示文本",
	["Show the XP or Rep"] = "显示经验值/声望值",
	["XP to go"] = "剩余经验",
	["Show XP to go"] = "显示到达下一等级的剩余经验值",
	--["Short Rep Name"] = "简短阵营名",
	--["Show short names for factions"] = "",
	--["The "] = "",

	["%s: %3.0f%% (%s/%s) %s left"] = "%s: %3.0f%% (%s/%s) 尚欠%s",
	["%s to go (%3.0f%%)"] = "尚欠%s (%3.0f%%)",

	["Current XP"] = "当前经验值",
	["To Level"] = "升级仍需",
	["Rested XP"] = "休息奖励",
	["Click to send your current xp to an open editbox."] = "单击将你的当前经验值信息发送到聊天输入框",
	["Shift Click to send your current rep to an open editbox."] = "Shift-单击将你的当前声望值信息发送到聊天输入框",
	["Faction"] = "阵营",
	["Rep to next standing"] = "到达下一关系需要",
	["Current rep"] = "当前关系",

	["%s/%s (%3.0f%%) %d to go"] = "%s/%s (%3.0f%%)，升级需要：%d",
	["%s:%s/%s (%3.2f%%) Currently %s with %d to go"] = "%s：%s/%s (%3.2f%%)，当前关系：%s，升级需要：%d",

	["Top"] = "上", 
	["Bottom"] = "下",
	["XP"] = "经验",
	["Rep"] = "声望",
	["None"] = "无",
} end)
